﻿<AML>
 <Item type="ItemType" id="D766BE1B674B4045802F0CA504ADB0BF" action="add">
  <allow_private_permission>1</allow_private_permission>
  <auto_search>1</auto_search>
  <default_page_size>30</default_page_size>
  <enforce_discovery>1</enforce_discovery>
  <hide_where_used>0</hide_where_used>
  <implementation_type>table</implementation_type>
  <instance_data>ACC_ACCOUNTPAYABLE</instance_data>
  <is_dependent>0</is_dependent>
  <is_relationship>0</is_relationship>
  <is_versionable>0</is_versionable>
  <label xml:lang="en">Payment </label>
  <label_plural xml:lang="en">03 Payment </label_plural>
  <large_icon>../Images/DetailsView.svg</large_icon>
  <open_icon>../Images/DetailsView.svg</open_icon>
  <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
  <show_parameters_tab>1</show_parameters_tab>
  <structure_view>tabs on</structure_view>
  <unlock_on_logout>0</unlock_on_logout>
  <use_src_access>0</use_src_access>
  <name>Acc_AccountPayable</name>
  <Relationships>
   <Item type="Property" id="599D4D039EB249DFB37D903E0131318A" action="add">
    <column_alignment>left</column_alignment>
    <data_type>boolean</data_type>
    <default_value xml:lang="en">1</default_value>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Active</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>5632</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_active</name>
   </Item>
   <Item type="Property" id="CEC22825AF124E2BB84CAEBFFF39BB3E" action="add">
    <column_alignment>left</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Amount</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>3200</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_amount</name>
   </Item>
   <Item type="Property" id="5586B045A6C549B18109E8C65BF47EF9" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_AccountDetails" type="ItemType" name="acc_AccountDetails">13F9A9B703A3471A9248E9BF0093CEC3</data_source>
    <data_type>item</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">Account Code</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>3712</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_ap_code</name>
   </Item>
   <Item type="Property" id="600B53ECF5C64EBFB5F4D2A14BBEB305" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_AccountDetails" type="ItemType" name="acc_AccountDetails">13F9A9B703A3471A9248E9BF0093CEC3</data_source>
    <data_type>item</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">Cash/Bank</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>7</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_cash_account</name>
    <Relationships>
     <Item type="Grid Event" id="3B3E522345D34B16BEC0A20BE3A84262" action="add">
      <grid_event>onsearchdialog</grid_event>
      <related_id keyed_name="acc_ac_cash_account_filter" type="Method">
       <Item type="Method" action="get" select="id">
        <name>acc_ac_cash_account_filter</name>
       </Item>
      </related_id>
      <sort_order>128</sort_order>
      <source_id keyed_name="acc_cash_account" type="Property">600B53ECF5C64EBFB5F4D2A14BBEB305</source_id>
     </Item>
    </Relationships>
   </Item>
   <Item type="Property" id="BC151849413F40B296BF7A49DF07E70B" action="add">
    <column_alignment>left</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Cash Balance</label>
    <prec>19</prec>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <scale>2</scale>
    <sort_order>10</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_cash_balance</name>
   </Item>
   <Item type="Property" id="86AC6C343A7A498DA0DDEA1F95289FA4" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_cash_type">F7BC8E495D434537B8E25C837202EA25</data_source>
    <data_type>list</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Cash Type</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>13</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <stored_length>256</stored_length>
    <track_history>0</track_history>
    <name>acc_cash_type</name>
   </Item>
   <Item type="Property" id="48EE4377668C4E0BB0F67877C9718E1B" action="add">
    <column_alignment>left</column_alignment>
    <data_type>string</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Cheque No</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>14</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <stored_length>100</stored_length>
    <track_history>0</track_history>
    <name>acc_cheque_no</name>
   </Item>
   <Item type="Property" id="81EC360D8D4849AA925BD6E360CD27C6" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_currency" type="ItemType" name="acc_currency">6C53B35F70F845F19B952D27BDB78019</data_source>
    <data_type>item</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">Currency</label>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <sort_order>8</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_currency</name>
   </Item>
   <Item type="Property" id="244B2EA9B1844ED58CED4C1DC5916E6B" action="add">
    <column_alignment>left</column_alignment>
    <data_type>date</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>1</is_required>
    <label xml:lang="en">Date</label>
    <pattern>short_date</pattern>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>2</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_date</name>
   </Item>
   <Item type="Property" id="ACC5C5D1A7334CA1BFC21800E4CBFC05" action="add">
    <column_alignment>left</column_alignment>
    <data_type>string</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Form</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>5760</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <stored_length>30</stored_length>
    <track_history>0</track_history>
    <name>acc_form</name>
   </Item>
   <Item type="Property" id="0EAE77233BC14D1B9B2E59672D971313" action="add">
    <column_alignment>left</column_alignment>
    <data_type>boolean</data_type>
    <default_value xml:lang="en">1</default_value>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Bulk Payment</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>11</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_is_bulk_payment</name>
   </Item>
   <Item type="Property" id="01A588CD73CD403586467100A2DD2B1B" action="add">
    <column_alignment>left</column_alignment>
    <data_type>boolean</data_type>
    <default_search />
    <default_value xml:lang="en">0</default_value>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Post</label>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <sort_order>6</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_ispost</name>
   </Item>
   <Item type="Property" id="34766EC514AE4A0183446E492A50564B" action="add">
    <column_alignment>left</column_alignment>
    <data_type>string</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">acc_operator</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>4608</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <stored_length>3</stored_length>
    <track_history>0</track_history>
    <name>acc_operator</name>
   </Item>
   <Item type="Property" id="0E4C280D4CAA40E6B2D7EBB283FAFC3E" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_payment_interval">DDA9126101AE4004A3CC704F119F91AE</data_source>
    <data_type>list</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Payment Term</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>12</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <stored_length>256</stored_length>
    <track_history>0</track_history>
    <name>acc_payment_term</name>
   </Item>
   <Item type="Property" id="C3DFCF170C044F97BBA1A348A6124237" action="add">
    <column_alignment>left</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Rate</label>
    <prec>19</prec>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <scale>2</scale>
    <sort_order>9</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_rate</name>
   </Item>
   <Item type="Property" id="F58C45A960954DE59027DF2B1D66F2EA" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_AccountPayable">AA99D7585EAA4D1AA07853C3592EF263</data_source>
    <data_type>sequence</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <keyed_name_order>1</keyed_name_order>
    <label xml:lang="en">Reference No:</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>1</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_referenceno</name>
   </Item>
   <Item type="Property" id="9F4F6B4978D54D9E908D28098440E853" action="add">
    <column_alignment>left</column_alignment>
    <data_type>boolean</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Option All selected Payment</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>5120</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_selected_all_payment</name>
   </Item>
   <Item type="Property" id="3179226B9C9642018FCBCF35CB3ED693" action="add">
    <column_alignment>right</column_alignment>
    <data_type>decimal</data_type>
    <default_value xml:lang="en">0</default_value>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Total Payable Amount</label>
    <prec>19</prec>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <scale>2</scale>
    <sort_order>4</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_total_payment</name>
   </Item>
   <Item type="Property" id="FC3FB62ADC2B44A78428285312F0DD59" action="add">
    <column_alignment>right</column_alignment>
    <data_type>decimal</data_type>
    <default_value xml:lang="en">0</default_value>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Selected payment amount</label>
    <prec>19</prec>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <scale>2</scale>
    <sort_order>5</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_total_payment_amount</name>
   </Item>
   <Item type="Property" id="8AD70E00F7984B8182540CFCED6121DC" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="Vendor" type="ItemType" name="Vendor">9F23A02D1E464F44A3A93A1EFB732B5C</data_source>
    <data_type>item</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">Vendor</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>3</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>acc_vendor</name>
   </Item>
   <Item type="Property" id="F6CF920EE95848508408975DC7FDB0DF" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="ERP_company_setup" type="ItemType" name="ERP_company_setup">6C369F3A6E4A4C28B10FC83CE6323D5A</data_source>
    <data_type>item</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">erp_company</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>5504</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>erp_company</name>
   </Item>
   <Item type="Property" id="1C1A584E7E56436B80D5FDF4E2D4A128" action="add">
    <column_alignment>left</column_alignment>
    <data_type>date</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">sop_date</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>5888</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <track_history>0</track_history>
    <name>sop_date</name>
   </Item>
   <Item type="View" id="28B252B083CF440AA73D0BA19906C335" action="add">
    <client>js</client>
    <related_id keyed_name="Acc_AccountPayable" type="Form">83BD7FA8344646D7B543CA9807E52070</related_id>
    <role keyed_name="World" type="Identity">
     <Item type="Identity" action="get" select="id">
      <name>World</name>
     </Item>
    </role>
    <show_ssvc>0</show_ssvc>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <type>default</type>
   </Item>
   <Item type="Server Event" id="B927EDB8F6D44F7EAB6F89448EE631F9" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_ap_after_save_delete" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_ap_after_save_delete</name>
     </Item>
    </related_id>
    <server_event>onAfterAdd</server_event>
    <sort_order>384</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="EDE466C641024FE88B475A3097751C19" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="Acc_AP_OnAfterlock" type="Method">
     <Item type="Method" action="get" select="id">
      <name>Acc_AP_OnAfterlock</name>
     </Item>
    </related_id>
    <server_event>onAfterLock</server_event>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="B2E1B0DFBAE74B8EA327E92BC16A38E3" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_ap_after_save_delete" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_ap_after_save_delete</name>
     </Item>
    </related_id>
    <server_event>onAfterUpdate</server_event>
    <sort_order>512</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="EC86DA759F5C480698477B5009D7B66E" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_check_openingbalance" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_check_openingbalance</name>
     </Item>
    </related_id>
    <server_event>onBeforeAdd</server_event>
    <sort_order>768</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="BA4CF4EC002344CDB542A6001FD7C275" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_check_ap_beforesave" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_check_ap_beforesave</name>
     </Item>
    </related_id>
    <server_event>onBeforeAdd</server_event>
    <sort_order>896</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="F9823FFE96664FE6B76FAC8524BA2EBE" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_AP_beforedelete" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_AP_beforedelete</name>
     </Item>
    </related_id>
    <server_event>onBeforeDelete</server_event>
    <sort_order>256</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="F03B86B8DA654CBFAD27E81D9887E266" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_is_transaction_active" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_is_transaction_active</name>
     </Item>
    </related_id>
    <server_event>onBeforeLock</server_event>
    <sort_order>640</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Server Event" id="1100D17D149F4085B4394A664A74AFE6" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_check_ap_beforeupdate" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_check_ap_beforeupdate</name>
     </Item>
    </related_id>
    <server_event>onBeforeUpdate</server_event>
    <sort_order>1024</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="ItemType Life Cycle" id="2F7E36DB1AA741319F468C0FF9724BBD" action="add">
    <related_id keyed_name="acc_account_payable_LC" type="Life Cycle Map">1E10569385B947F3A6C3408A78A2B4D7</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="TOC Access" id="2D7FD892818D46B8BE363CE0024CBF6D" action="add">
    <related_id keyed_name="ACC ADMIN USER" type="Identity">B43DDC06F0634FA58828ECEDE958E5F3</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <category>AccountingTransaction</category>
   </Item>
   <Item type="TOC Access" id="FB72FDCC00054EF8A8933400E9525D38" action="add">
    <related_id keyed_name="ACC SUB-USER" type="Identity">81F87A89465D41EEA380FACBDF0CB683</related_id>
    <sort_order>256</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
    <category>AccountingTransaction</category>
   </Item>
   <Item type="Can Add" id="A6F9FE2E781C4B1E968D59E7B1B40D24" action="add">
    <can_add>1</can_add>
    <related_id keyed_name="ACC SUB-USER" type="Identity">81F87A89465D41EEA380FACBDF0CB683</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
   <Item type="Allowed Permission" id="93201B85185D437495438FD325193B4C" action="add">
    <is_default>1</is_default>
    <related_id keyed_name="acc_User_Accounting" type="Permission">AB314367FA4E4A319493B44528EC5F34</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="Acc_AccountPayable" type="ItemType" name="Acc_AccountPayable">D766BE1B674B4045802F0CA504ADB0BF</source_id>
   </Item>
  </Relationships>
 </Item>
</AML>